UG(4)

NAME
ug - Abit uGuru system hardware monitor

SYNOPSIS
ug* at acpi?
ug0 at isa? port 0xe0

DESCRIPTION
The ug driver provides support for the Abit uGuru hardware monitor to be used with the envsys(4) interface.

The ug driver has 19 sensors:
Sensor | Units | Typical Use
CPU | uK | CPU Temp
SYS | uK | System Temp
PWN | uK | PWN Temp
VCORE | uV DC | Core voltage
DDR0 | uV DC | DDRVdd
DDR1 | uV DC | DDRVtt
NB | uV DC | NBVdd
SB | uV DC | SBVdd
HTV | uV DC | HTVdd
AGP | uV DC | AGPVdd
V5V | uV DC | Vdd5V
V33V | uV DC | Vdd3V3
V5SB | uV DC | Vdd5VSB
V33VD | uV DC | Vdd3VDual
CPUF | RPM | CPU Fan
NBF | RPM | NB Fan
SYSF | RPM | SYS Fan
AUXF | RPM | AUX Fan 1
AUXF2 | RPM | AUX Fan 2

SEE ALSO
acpi(4), envsys(4), envstat(8)

HISTORY
The ug driver first appeared in NetBSD 4.0.

AUTHORS
-nosplit The ug driver was written by Mihai Chelaru <kefren@netbsd.ro>.

BUGS
Interrupt support is unimplemented.